Subject: Fwd: New Version Notification for draft-green-secsh-ecc-07

From: Douglas Stebila <[email-masked]>
Date: Mon, 27 Apr 2009 10:25:50 +1000

As a result of the discussion earlier this month regarding the ECC in  
SSH draft, I have updated the draft accordingly.  The main change is  
how method names are chosen.

For the three required curves, the method names contain a text  
representation of the curve name:
	ecdh-sha2-nistp256
	ecdh-sha2-nistp384
	ecdh-sha2-nistp521
	ecdsa-sha2-nistp256
	ecdsa-sha2-nistp384
	ecdsa-sha2-nistp521

For the remaining optional curves, including all remaining recommended  
NIST and SEC curves, the method names contain the ASCII representation  
of the OID, for example,
	ecdh-sha2-1.3.132.0.33
Although the 64 character length restriction on method names means  
that, theoretically, not all OIDs can be represented in this way, I am  
convinced by the arguments that there are unlikely to be such long  
OIDs in practice and that the benefit of having human (and Google)  
readable method names outweighs the drawbacks of not being able to  
include arbitrarily-long OIDs.

The draft is available at
	http://www.ietf.org/internet-drafts/draft-green-secsh-ecc-07.txt

Douglas

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: April 27, 2009 10:18:53 AM GMT+10:00
> To: [email-masked]
> Cc: [email-masked]
> Subject: New Version Notification for draft-green-secsh-ecc-07
>
>
> A new version of I-D, draft-green-secsh-ecc-07.txt has been  
> successfuly submitted by Douglas Stebila and posted to the IETF  
> repository.
>
> Filename:	 draft-green-secsh-ecc
> Revision:	 07
> Title:		 Elliptic-Curve Algorithm Integration in the Secure Shell  
> Transport Layer
> Creation_date:	 2009-04-27
> WG ID:		 Independent Submission
> Number_of_pages: 23
>
> Abstract:
> This document describes algorithms based on Elliptic Curve
> Cryptography (ECC) for use within the Secure Shell (SSH) transport
> protocol.  In particular, it specifies: Elliptic Curve Diffie-Hellman
> (ECDH) key agreement, Elliptic Curve Menezes-Qu-Vanstone (ECMQV) key
> agreement and Elliptic Curve Digital Signature Algorithm (ECDSA) for
> use in the SSH Transport Layer protocol.
>
>
>
> The IETF Secretariat.